#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ap-normalize
version:              0.1.0.1
visibility:           public
id:                   ap-normalize-0.1.0.1-19Rmn5JAjb9IYSryJ2Ucta
key:                  ap-normalize-0.1.0.1-19Rmn5JAjb9IYSryJ2Ucta
license:              MIT
copyright:            Li-yao Xia 2020
maintainer:           lysxia@gmail.com
author:               Li-yao Xia
synopsis:             Self-normalizing applicative expressions
description:
    An applicative functor transformer to normalize expressions using @(\<$>)@,
    @(\<*>)@, and @pure@ into a linear list of actions.
    See "ApNormalize" to get started.

category:             Control
abi:                  521f843549bacadb5f4cdce9ca71165f
exposed:              True
exposed-modules:      ApNormalize ApNormalize.Aps ApNormalize.DList
import-dirs:          /usr/lib/ghc-9.0.1/site-local/ap-normalize-0.1.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ap-normalize-0.1.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ap-normalize-0.1.0.1
hs-libraries:         HSap-normalize-0.1.0.1-19Rmn5JAjb9IYSryJ2Ucta
depends:              base-4.15.0.0
haddock-interfaces:
    /usr/share/doc/haskell-ap-normalize/html/ap-normalize.haddock

haddock-html:         /usr/share/doc/haskell-ap-normalize/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

